edg_to_adjlist {memnet} | R Documentation

## Edge list to adjlist

### Description

Transforms an edge list as returned by community_graph into an adjlist as required by, e.g., fluency.

### Usage

    edg_to_adjlist(edg)

### Arguments

`edg` | character matrix with two columns containing the from and to nodes of the edges.

### Value

a numeric n x n adjacency matrix with n being the number of unique entries in `edg`.

### Examples

    # get fluency data
    data(animal_fluency)

    # edge list of fluency graph
    edge_list = threshold_graph(animal_fluency[1:3])

    # transfrom to adjacency matrix
    edg_to_adjlist(edge_list)

[Package memnet version 0.1.0 Index]